Package org.eclipse.emf.cdo.server

# Klasse CDOServerExporter.Binary

java.lang.Object
org.eclipse.emf.cdo.server.CDOServerExporter<CDODataOutput>
org.eclipse.emf.cdo.server.CDOServerExporter.Binary

Alle implementierten Schnittstellen:
  `CDOServerExporter.BinaryConstants`

Umschließende Klasse:
  `CDOServerExporter<OUT>`

public static class CDOServerExporter.Binary extends CDOServerExporter<CDODataOutput> implements CDOServerExporter.BinaryConstants

Seit:
  4.8
Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen org.eclipse.emf.cdo.server.CDOServerExporter

`CDOServerExporter.Binary, CDOServerExporter.BinaryConstants, CDOServerExporter.Statistics, CDOServerExporter.XML, CDOServerExporter.XMLConstants`

## Feldübersicht

### Von Schnittstelle geerbte Felder org.eclipse.emf.cdo.server.CDOServerExporter.BinaryConstants

`BLOB, BRANCH, CLOB, COMMIT, EOF, PACKAGE_INFO, PACKAGE_UNIT, REPOSITORY, REVISION`

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`Binary(IRepository repository)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`protected CDODataOutput`
`createOutput(OutputStream out)`
`protected void`
`endPackageUnit(CDODataOutput out)`
`protected void`
`exportAll(CDODataOutput out)`
`protected void`
`exportBranch(CDODataOutput out, CDOBranch branch)`
`protected void`
`exportCommit(CDODataOutput out, CDOCommitInfo commitInfo)`
`protected void`
`exportPackageInfo(CDODataOutput out, String packageURI)`
`protected void`
`exportRevision(CDODataOutput out, CDORevision revision)`
`protected OutputStream`
`startBlob(CDODataOutput out, byte[] id, long size)`
`protected Writer`
`startClob(CDODataOutput out, byte[] id, long size)`
`protected void`
`startPackageUnit(CDODataOutput out, String id, CDOPackageUnit.Type type, long time, String data)`

### Von Klasse geerbte Methoden org.eclipse.emf.cdo.server.CDOServerExporter

`exportBranches, exportCommits, exportLobs, exportPackages, exportRepository, exportRevisions, getBranchPath, getRepository, getStatistics, getTimeStamp, isExportSystemPackages, setBranchPath, setExportSystemPackages, setTimeStamp`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Konstruktordetails

### Binary

public Binary(IRepository repository)

## Methodendetails

### createOutput

protected CDODataOutput createOutput(OutputStream out) throws Exception

Angegeben von:
  `createOutput` in Klasse `CDOServerExporter<CDODataOutput>`
Löst aus:
  `Exception`

### exportAll

protected void exportAll(CDODataOutput out) throws Exception

Setzt außer Kraft:
  `exportAll` in Klasse `CDOServerExporter<CDODataOutput>`
Löst aus:
  `Exception`

### startPackageUnit

protected void startPackageUnit(CDODataOutput out, String id, CDOPackageUnit.Type type, long time, String data) throws Exception

Angegeben von:
  `startPackageUnit` in Klasse `CDOServerExporter<CDODataOutput>`
Löst aus:
  `Exception`

### endPackageUnit

protected void endPackageUnit(CDODataOutput out) throws Exception

Angegeben von:
  `endPackageUnit` in Klasse `CDOServerExporter<CDODataOutput>`
Löst aus:
  `Exception`

### exportPackageInfo

protected void exportPackageInfo(CDODataOutput out, String packageURI) throws Exception

Angegeben von:
  `exportPackageInfo` in Klasse `CDOServerExporter<CDODataOutput>`
Löst aus:
  `Exception`

### exportBranch

protected void exportBranch(CDODataOutput out, CDOBranch branch) throws Exception

Setzt außer Kraft:
  `exportBranch` in Klasse `CDOServerExporter<CDODataOutput>`
Löst aus:
  `Exception`

### exportRevision

protected void exportRevision(CDODataOutput out, CDORevision revision) throws Exception

Angegeben von:
  `exportRevision` in Klasse `CDOServerExporter<CDODataOutput>`
Löst aus:
  `Exception`

### startBlob

protected OutputStream startBlob(CDODataOutput out, byte[] id, long size) throws Exception

Angegeben von:
  `startBlob` in Klasse `CDOServerExporter<CDODataOutput>`
Löst aus:
  `Exception`

### startClob

protected Writer startClob(CDODataOutput out, byte[] id, long size) throws Exception

Angegeben von:
  `startClob` in Klasse `CDOServerExporter<CDODataOutput>`
Löst aus:
  `Exception`

### exportCommit

protected void exportCommit(CDODataOutput out, CDOCommitInfo commitInfo) throws Exception

Angegeben von:
  `exportCommit` in Klasse `CDOServerExporter<CDODataOutput>`
Löst aus:
  `Exception`